package socket

import (
	"git.loafle.net/commons/server-go"
)

type Servlet interface {
	server.Servlet

	OnConnect(servletCtx server.ServletCtx, conn Conn)
	Handle(servletCtx server.ServletCtx, stopChan <-chan struct{}, doneChan chan<- struct{}, readChan <-chan []byte, writeChan chan<- []byte)
	OnDisconnect(servletCtx server.ServletCtx)
}
